Subject: Re: bug#30093: Installing python-ipython breaks Gnome on Fedora.

From: Fis Trivial <[email-masked]>
Date: Wed, 17 Jan 2018 19:53:44 +0000

>
> so I
> still think it might be best to deal with the problems on a case by case
> basis.
>

I tried to find out what would Fedora set *GI_TYPELIB_PATH* if guix didn't.
It turns out, nothing. If I comment out the line containing *GI_TYPELIB_PATH*
in ~/.guix-profile/etc/profile, the variable won't be exist.
Is there any suggestion for what I can do, to let guix have this variable, while
Fedora wouldn't see it?